# List

Launch stage: GA

`GET /api/2.0/lakeview/dashboards`

List dashboards.

API scopes: dashboards

## Query parameters

- `page_size` (int32, optional)
  The number of dashboards to return per page.
  Default: `20`
  Constraints: `[ 1 .. 1000 ]`
- `page_token` (string, optional)
  A page token, received from a previous `ListDashboards` call.
   This token can be used to retrieve the subsequent page.
  Example: `EAI=`
- `show_trashed` (boolean, optional)
  The flag to include dashboards located in the trash.
   If unspecified, only active dashboards will be returned.
  Default: `false`
- `view` (string, optional)
  `DASHBOARD_VIEW_BASIC` only includes summary metadata from the dashboard.
  Possible values: `DASHBOARD_VIEW_BASIC`
  Default: `DASHBOARD_VIEW_BASIC`

## Returns

Returns a list of Dashboard objects.

## Response

```json
{
  "dashboards": [
    {
      "create_time": "2019-08-24T14:15:22Z",
      "dashboard_id": "04aab30f99ea444490c10c85852f216c",
      "display_name": "Monthly Traffic Report",
      "lifecycle_state": "ACTIVE",
      "warehouse_id": "47bb1c472649e711"
    }
  ],
  "next_page_token": "EAI="
}
```

